<?php
include_once 'inc/function.php';
include_once('inc/paginator.class.php');
$admin=new Admin();
$pages = new Paginator;

$weburl=substr($_SERVER['QUERY_STRING'],strlen($_GET['page'])+15);

$query = "SELECT * FROM `upay_nushke`";

$get_rows=$admin->get_rows_by_query($db,$query);
$per_page=50;
$start=($_GET['page']-1)*$per_page;
$pagination = $pages->displayHtmlPages($_GET['page'],$get_rows,$per_page,$weburl);

if(isset($_GET['action']) || isset($_GET['task'])){
	if($_GET['action']=='delete'){
		mysqli_query($db,"DELETE FROM `upay_nushke` WHERE id='".$_GET['id']."'");
		$_SESSION['success']="Upay & Nushke Deleted Successfully";
	}
	
	if($_POST['action']=='edit'){
		$response=$admin->edit_upay_nushke($db,$_POST);
		if($response){ 
			$_SESSION['success']="Upay & Nushke Updated Successfully"; 
		}
	}
	if($_GET['task']=='edit'){
		$result=mysqli_fetch_array(mysqli_query($db,"SELECT * FROM upay_nushke WHERE id='".$_GET['id']."'"));
	}
}

include_once 'inc/header.php';
?>

<div id="content" class="container-fluid">
  <ol class="breadcrumb">
    <li>Home</li>
    <li>Upay & Nushke</li>
    <li>View Upay & Nushke</li>
  </ol>
  <?php if(!empty($_SESSION['success'])) { ?>
  <div class="alert alert-success">
  	<strong>Success!</strong> <?=$_SESSION['success']?>
  </div>
  <?php } ?>
  <?php if(!empty($_GET['task']) && $_GET['task']=='view') { ?>
  <div class="panel panel-default">
    <div class="panel-heading">
      <div class="pull-right">
        <a href="add-upay-nushke.php" class="btn btn-primary"><i class="fa fa-plus"></i></a>
      </div>
      <h1 class="panel-title"><i class="fa fa-user"></i> View Upay & Nushke</h1>
    </div>
    <div class="panel-body">
      <form method="post" id="table-upay-nushke">
        <div class="table-responsive">
          <table class="table table-striped table-bordered table-hover">
            <tr>
              <th class="text-left">S.No.</th>
              <th class="text-left">Type</th>
              <th class="text-left">Title</th>
              <th class="text-left">Date</th>
              <th class="text-left">Status</th>
              <th class="text-right" width="9%">Action</th>
            </tr>
            <?php
			    $i=$start+1;
				$apps=$admin->get_filter_data_by_page_id($db,$query,$start,$per_page,'id','desc');
				foreach($apps as $app):
				extract($app);
			?>
            <tr>
              <td class="text-left"><?=$i?></td>
              <td class="text-left"><?=$type?></td>
              <td class="text-left"><?=$title?></td>
              <td class="text-left"><?=date('d-m-Y',strtotime($date))?></td>
              <td class="text-left"><?=$status?></td>
              <td class="text-right">
              	<a href="view-upay-nushke.php?task=edit&id=<?=$id?>" class="btn btn-primary btn-xs" title="Edit" data-toggle="tooltip"><i class="fa fa-pencil"></i></a> 
                <a href="javascript:void(0)" onClick="deleteAction('<?=$id?>')" class="btn btn-danger btn-xs" title="Delete" data-toggle="tooltip"><i class="fa fa-times"></i></a></td>
            </tr>
            <?php
				$i++;
				endforeach;
		    ?>
          </table>
        </div>
      </form>
    </div>
  </div> 
  <?php } if(!empty($_GET['task']) && $_GET['task']=='edit') { ?>
  <div class="panel panel-default">
    <div class="panel-heading">
      <div class="pull-right">
        <button type="submit" form="form-upay-nushke" title="Save" data-toggle="tooltip" class="btn btn-success"><i class="fa fa-save"></i></button>
        <a href="view-upay-nushke.php?task=view&page=1" title="Cancel" data-toggle="tooltip" class="btn btn-danger"><i class="fa fa-times"></i></a> </div>
      <h1 class="panel-title"><i class="fa fa-user"></i> Edit Upay & Nushke</h1>
    </div>
    <div class="panel-body">
      <form method="post" id="form-upay-nushke" class="form-horizontal" enctype="multipart/form-data"><br>
		<input type="hidden" name="action" value="edit">
        <input type="hidden" name="id" value="<?=$result['id']?>">
        <div class="form-group">
          <label class="col-sm-2 control-label">Type</label>
          <div class="col-sm-10">
            <select name="type" class="form-control" required>
            	<option value="Upay" <?php if($result['type']=='Upay'){ echo 'selected'; } ?>>Upay</option>
                <option value="Nushke" <?php if($result['type']=='Nushke'){ echo 'selected'; } ?>>Nushke</option>
            </select>
          </div>
        </div>
        <div class="form-group">
          <label class="col-sm-2 control-label">Title</label>
          <div class="col-sm-10">
            <input type="text" name="title" class="form-control" value="<?=$result['title']?>">
          </div>
        </div>
        <div class="form-group">
          <label class="col-sm-2 control-label">Date</label>
          <div class="col-sm-10">
            <input type="text" name="date" id="date" class="form-control" value="<?=date('d-m-Y',strtotime($result['date']))?>">
          </div>
        </div>
        <div class="form-group">
          <label class="col-sm-2 control-label">Status</label>
          <div class="col-sm-10">
            <select name="status" class="form-control">
              <option value="Active" <?php if($result['status']=='Active'){ echo 'selected'; } ?>>Active</option>
              <option value="Inactive" <?php if($result['status']=='Inactive'){ echo 'selected'; } ?>>Inactive</option>
            </select>
          </div>
        </div>
        <div class="form-group">
          <label class="col-sm-2 control-label">Long Description</label>
          <div class="col-sm-10">
            <textarea name="description" id="editor" class="form-control" required><?=$result['description']?></textarea>
          </div>
        </div>
      </form>
    </div>
  </div>
  <?php } ?>
</div>

<?php include_once 'inc/footer.php'; ?>

<script type="text/javascript">
function deleteAction(id){
	var confirmmessage = "Are you sure you wish to proceed?";
	var goifokay = "<?=ADMINURL?>/view-upay-nushke.php?task=view&action=delete&id="+id;
	if (window.confirm(confirmmessage)){
		window.location = goifokay;	
	} else {
		return false;
	}
}
</script>

<script src="<?=ADMINURL?>/texteditor/ckeditor.js"></script>
<script src="<?=ADMINURL?>/js/editor-script.js"></script>
<script>
	// Replace the <textarea id="editor1"> with an CKEditor instance.
	CKEDITOR.replace( 'editor', {
		on: {
				focus: onFocus,
				blur: onBlur,
	// Check for availability of corresponding plugins.
				pluginsLoaded: function( evt ) {
				var doc = CKEDITOR.document, ed = evt.editor
					if ( !ed.getCommand( 'bold' ) )
					doc.getById( 'exec-bold' ).hide();
					if ( !ed.getCommand( 'link' ) )
					doc.getById( 'exec-link' ).hide();
			}
		}
	});
</script>

<link href="<?=ADMINURL?>/css/datepicker/bootstrap-datepicker.css" rel="stylesheet">
<script src="<?=ADMINURL?>/js/datepicker/bootstrap-datepicker.js"></script>

<script type="text/javascript" src="<?=ADMINURL?>/js/system.js"></script>

<script>
$(function(){
	$('#date').datepicker({
		format: 'dd-mm-yyyy'
	});
});
</script>